<?php
Interface Istorage {
  
  /**
   * Return all images that are stored on a given path
   * 
   * @param $path String
   * @return array - an array of FGImages
   */
  public function getImages($path);
  
  /**
   * 
   * @param array $arImages
   *  an array of FGImages
   *  
   */
  public function storeImages($arImages);
  
  
  /**
   * removing all files from the storage
   */
  public function clearDb();
  
  /**
   * Deleting a single file from the db. This is going to be
   * called by hook_file_delete for example.
   * 
   * @param stdClass $file
   */
  public function deleteFile($file);
  
}